﻿@model List<UserApiKeyViewModel>
<div class="row">
    <div class="col-md-12">
        <a href="@Url.Action("Add")" class="btn btn-primary">افزودن API Key جدید</a>
    </div>
    <div class="col-md-12">
        <div class="table-responsive">
            <table class="table" style="word-wrap:break-word; table-layout: fixed; width:100%;">
                <thead>
                    <tr>
                        <td>@Html.DisplayNameFor(m => Model.GetObject().Id)</td>
                        <td>@Html.DisplayNameFor(m => Model.GetObject().Key)</td>
                        <td>@Html.DisplayNameFor(m => Model.GetObject().Secret)</td>
                        <td>@Html.DisplayNameFor(m => Model.GetObject().User)</td>
                        <td>@Html.DisplayNameFor(m => Model.GetObject().InsertUser)</td>
                        <td>@Html.DisplayNameFor(m => Model.GetObject().InsertDate)</td>
                        <td>عملیات</td>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        var user = (item.User.FirstName + " " + item.User.LastName) ?? item.User.UserName;
                        var insertUser = (item.InsertUser.FirstName + " " + item.InsertUser.LastName) ?? item.InsertUser.UserName;
                        <tr>
                            <td>@item.Id</td>
                            <td>@item.Key</td>
                            <td>@item.Secret</td>
                            <td>@user</td>
                            <td>@insertUser</td>
                            <td>@item.InsertDate.ToFaDateTimeZone()</td>
                            <td>
                                <a onclick="@Html.DeleteModal((int)item.Id);" class="btn btn-danger">حذف</a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        @Html.CreateDeleteModal()
    </div>
</div>
